Jump to content

Need Custom PolyLine Lisp


CACad

Recommended Posts

I need a command that will prompt the user to select objects and then trace around the outside of those objects with 4" or so of space. Though I know I could just do this manually, I typically do this on large areas with many angle changes which can become quite time consuming. I know this is a tall order but I remain optimistic. I honestly don't know where to start on this one but any input you guys have would be greatly appreciated. I attached an image of what the end result would look like to hopefully clarify.

 

 

 

PLINE.jpg

Link to comment
Share on other sites

I was going to suggest:

(defun C:test ( / d SS )
(initget 1)
(setq d (getreal "\nSpecify offset distance :"))
(if (and d (setq SS (ssget)) (setq SS (LM:outline SS)))
	(progn
		(command "_.offset" d (ssname SS 0) "\\" "")
		(entdel (ssname SS 0))
	)
)
(princ)
)

Link to comment
Share on other sites

This is definitely a place to start. Thanks guys! Any ideas on having it recognize unconnected objects as blocks and tracing around them as if they are connected?

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...